Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.scheduling.domain
Class ReportJobSimpleTrigger

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.scheduling.domain.ReportJobTrigger
          com.jaspersoft.jasperserver.api.engine.scheduling.domain.ReportJobSimpleTrigger

All Implemented Interfaces:
  java.io.Serializable

    public class ReportJobSimpleTrigger

extends ReportJobTrigger
implements java.io.Serializable

Version:
  $Id: ReportJobSimpleTrigger.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static byte` | `INTERVAL_DAY`
`static byte` | `INTERVAL_HOUR`
`static byte` | `INTERVAL_MINUTE`
`static byte` | `INTERVAL_WEEK`
`static int` | `RECUR_INDEFINITELY`

Fields inherited from class com.jaspersoft.jasperserver.api.engine.scheduling.domain.ReportJobTrigger
`START_TYPE_NOW, START_TYPE_SCHEDULE`

Constructor Summary
`ReportJobSimpleTrigger()`

Method Summary
`int` | `getOccurrenceCount()`
`java.lang.Integer` | `getRecurrenceInterval()`
`java.lang.Byte` | `getRecurrenceIntervalUnit()`
`void` | `setOccurrenceCount(int recurrenceCount)`
`void` | `setRecurrenceInterval(int recurrenceInterval)`
`void` | `setRecurrenceInterval(java.lang.Integer recurrenceInterval)`
`void` | `setRecurrenceIntervalUnit(byte recurrenceInterval)`
`void` | `setRecurrenceIntervalUnit(java.lang.Byte recurrenceInterval)`

Methods inherited from class com.jaspersoft.jasperserver.api.engine.scheduling.domain.ReportJobTrigger
`getEndDate, getId, getStartDate, getStartType, getTimezone, getVersion, setEndDate, setId, setStartDate, setStartType, setTimezone, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INTERVAL_MINUTE

    public static final byte INTERVAL_MINUTE

See Also:
  Constant Field Values

### INTERVAL_HOUR

    public static final byte INTERVAL_HOUR

See Also:
  Constant Field Values

### INTERVAL_DAY

    public static final byte INTERVAL_DAY

See Also:
  Constant Field Values

### INTERVAL_WEEK

    public static final byte INTERVAL_WEEK

See Also:
  Constant Field Values

### RECUR_INDEFINITELY

    public static final int RECUR_INDEFINITELY

See Also:
  Constant Field Values

Constructor Detail

### ReportJobSimpleTrigger

    public ReportJobSimpleTrigger()

Method Detail

### getOccurrenceCount

    public int getOccurrenceCount()

### setOccurrenceCount

    public void setOccurrenceCount(int recurrenceCount)

### getRecurrenceIntervalUnit

    public java.lang.Byte getRecurrenceIntervalUnit()

### setRecurrenceIntervalUnit

    public void setRecurrenceIntervalUnit(java.lang.Byte recurrenceInterval)

### setRecurrenceIntervalUnit

    public void setRecurrenceIntervalUnit(byte recurrenceInterval)

### getRecurrenceInterval

    public java.lang.Integer getRecurrenceInterval()

### setRecurrenceInterval

    public void setRecurrenceInterval(java.lang.Integer recurrenceInterval)

### setRecurrenceInterval

    public void setRecurrenceInterval(int recurrenceInterval)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.